Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui.util
Class DebugRepaintManager

    java.lang.Object
      javax.swing.RepaintManager
          jpicedt.ui.util.DebugRepaintManager

public class DebugRepaintManager
extends RepaintManager

A RepaintManager that may used for debugging purpose

Print out information about adding and/or painting dirty regions
How to use it :
- Set DEBUG_PAINTING to TRUE in JPicEdt.java
- launch jpicedt with "-redir=standard"

Constructor Summary
`DebugRepaintManager()` creates a new DebugRepaintManager with double-buffering turned off

Method Summary
`void` | `addDirtyRegion(JComponent c, int x, int y, int w, int h)` Add a component in the list of components that should be refreshed.
`void` | `paintDirtyRegions()` Paint all of the components that have been marked dirty.

Methods inherited from class javax.swing.RepaintManager
`addInvalidComponent, currentManager, currentManager, getDirtyRegion, getDoubleBufferMaximumSize, getOffscreenBuffer, getVolatileOffscreenBuffer, isCompletelyDirty, isDoubleBufferingEnabled, markCompletelyClean, markCompletelyDirty, removeInvalidComponent, setCurrentManager, setDoubleBufferingEnabled, setDoubleBufferMaximumSize, toString, validateInvalidComponents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DebugRepaintManager

    public DebugRepaintManager()

  creates a new DebugRepaintManager with double-buffering turned off

Method Detail

### addDirtyRegion

    public void addDirtyRegion(JComponent c,
                               int x,
                               int y,
                               int w,
                               int h)

  Add a component in the list of components that should be refreshed. If c already has a dirty region, the rectangle (x,y,w,h) will be unioned with the region that should be redrawn.

### paintDirtyRegions

    public void paintDirtyRegions()

  Paint all of the components that have been marked dirty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org